import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    url: '/login',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}

//获取租户企业列表
export function getTenants() {
  return request({
    url: '/user/tenants',
    method: 'post',
  })
}

// 获取默认租户
export function defaultTenantid() {
  return request({
    url: '/user/default/tenant',
    method: 'post',
  })
}

// 切换租户
export function changeTenants(data) {
  return request({
    url: '/switch/tenant?tenantId='+data,
    method: 'post',
  })
}

//发送短信验证码
export function captchaSms() {
  return request({
    url: '/getTempSmsCode',
    method: 'get',
  })
}

//验证短信验证码
export function checkSmsCode(data) {
  return request({
    url: '/checkSmsCode',
    method: 'POST',
    params:data
  })
}

